Bug 84428 - gdb has internal problem when running mozilla-bin 1.2.1
gdb has internal problem when running mozilla-bin 1.2.1
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: gdb (Show other bugs)
9
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Alexandre Oliva
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-16 15:05 EST by Philip Long
Modified: 2007-04-18 12:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 14:17:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philip Long 2003-02-16 15:05:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030115

Description of problem:
gdb has internal problem when running mozilla-bin 1.2.1

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. cd /usr/lib/mozilla-1.2.1
2. gdb mozilla-bin
3. run
    

Actual Results:  gdb has internal error and mozilla freezes up

Expected Results:  I get a back trace when trying to print a page that always
causes mozilla to crash

Additional info:

mozilla freezes up when I try to attach gdb to the running process as well
Comment 1 Elena Zannoni 2003-08-25 16:01:28 EDT
Do you still have problems with the latest rawhide version of gdb?
Comment 2 R.K.Aa. 2004-03-15 03:45:05 EST
gdb-5.3post-0.20021129.18
When trying to debug mozilla (which worked like charm back in RH7.2
and 8.0), i now get this instead:

$ ./mozilla -g -d gdb
./run-mozilla.sh -g -d gdb ./mozilla-bin
MOZILLA_FIVE_HOME=.
  LD_LIBRARY_PATH=.:./plugins:/usr/local/lib/mre/mre-1.7b
DISPLAY=:0.0
XPSERVERLIST=:33
DYLD_LIBRARY_PATH=.:/usr/local/lib/mre/mre-1.7b
     LIBRARY_PATH=.:./components:/usr/local/lib/mre/mre-1.7b
       SHLIB_PATH=.:/usr/local/lib/mre/mre-1.7b
          LIBPATH=.:/usr/local/lib/mre/mre-1.7b
       ADDON_PATH=.
      MOZ_PROGRAM=./mozilla-bin
      MOZ_TOOLKIT=
        moz_debug=1
     moz_debugger=gdb
/usr/bin/gdb ./mozilla-bin -x /tmp/mozargs2517
GNU gdb Red Hat Linux (5.3post-0.20021129.18rh)
Copyright 2003 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and
you are
welcome to change it and/or distribute copies of it under certain
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for
details.
This GDB was configured as "i386-redhat-linux-gnu"...
(gdb) run
Starting program: /home/dark/MOZ/TREE1/mozilla/dist/bin/mozilla-bin
[New Thread 1078365472 (LWP 2523)]
/home/dark/.themes/PrettyOkayish/gtk/gtkrc:35: error: unexpected
identifier `mark_type1', expected character `}'
[New Thread 1096821552 (LWP 2524)]
[New Thread 1116957488 (LWP 2525)]
[New Thread 1125350192 (LWP 2526)]
[New Thread 1133742896 (LWP 2527)]
[New Thread 1142135600 (LWP 2528)]
[New Thread 1150528304 (LWP 2529)]
[New Thread 1158921008 (LWP 2530)]
[New Thread 1167313712 (LWP 2531)]
[Thread 1158921008 (LWP 2530) exited]
[New Thread 1175706416 (LWP 2533)]
[New Thread 1184099120 (LWP 2534)]
[New Thread 1192491824 (LWP 2535)]
Couldn't get registers: No such process.
(gdb)
Comment 3 Bill Nottingham 2006-10-18 14:17:06 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
If this issue is still present in a current Fedora Core release, please
open a new bug with the relevant information.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.